com.icesoft.faces.facelets.component.dialog

## Class DialogTypes

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - com.icesoft.faces.facelets.component.dialog.DialogTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map

      public class DialogTypes
      extends java.util.HashMap
      implements java.io.Serializable

  DialogType is a configured Dialog. Dialogs can present different options (OK, No, Yes, Cancel) to the user - in the form of commandButtons. Each Dialog has a reference to an include that constitutes the popup content.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogTypes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultDialog()`
    `void` | `setDefaultDialog(java.lang.String defaultDialog)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### DialogTypes

          public DialogTypes()

  - ### Method Detail

    - #### getDefaultDialog

          public java.lang.String getDefaultDialog()

    - #### setDefaultDialog

          public void setDefaultDialog(java.lang.String defaultDialog)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.